type t  

(** Number of contracted Gaussians *)
val size : t -> int

(** Array of contracted shells *)
val contracted_shells : t -> Contracted_shell.t array


(** Returns an array of the basis set per atom *)
val of_nuclei_and_general_basis : Nuclei.t -> General_basis.t list -> t


(** Pretty prints the basis set in a string *)
val to_string : t -> string


(** Create a basis using the coordinates of Nuclei and a the filename of
    the general basis set *)
val of_nuclei_and_basis_filename : nuclei:Nuclei.t -> filename:string -> t

